
Family Care - Bug #2334

Open file - 1st step

12/09/2020 02:26 PM - Saja Nakhleh

Status: Closed Start date: 12/09/2020

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

is always 0 رقم الملف

evidence 14.gif

Issue #2:

1. all the actions are viewed with claim

2. Release action is not shown at all

3. all the editable fields on (راي المشرف)

tab are editable although claim action is

not clicked

Issue #3:

the error message does not show the tab

that contains the mandatory fields

evidence 17.gif

Severity: Normal Environment: QA

Category: Open File Transaction Number:  

Sub-Category:  Username: USR00313/12345678

Step_Description:  Browser: Firefox

Pre_Conditions:  URL:  

Expected Result: Issue #1:

 should be detected رقم الملف

Issue #2:

1. while the action claim is enabled and

shown, then the other actions should be

hidden.

once the claim is clicked all the other

actions should be shown and claim will be

hidden and a new action (release) should

be shown

this behavior is used as this step is

assigned to multiple users or group

2. all the fields should stay read only till

the claim action is clicked the editable

fields will be enabled

Issue #3:

the error message should be informative

and show the tab that contains the

mandatory fields

Test Case ID:  

Description

Issue #1:

1. submit new Open file task

2. Observe the (رقم الملف) for the submitted task on the first step (المشرف)

Issue #2:

1. submit new Open file task

2. Open the task on the first step (المشرف)
3. Observe the available actions

Issue #3:

1. submit new Open file task

2. Open the task on the first step (المشرف)

3. Keep the mandatory fields empty and click Submit

4. Observe the occurred error message

History

#1 - 12/10/2020 11:24 AM - Saja Nakhleh

- Subject changed from Open file -  to Open file - 1st step

#2 - 12/14/2020 12:07 PM - Saja Nakhleh

- File 17.GIF added

- Description updated

- Expected Result updated

- Actual Result updated

#3 - 12/27/2020 10:18 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Musab Khuraisat

Issue #1:

the file number will remain 0 or will be the same as the aid_reg_Recid until the end of the process.

Issue #2:

this issue is business requirement and will be checked the client to be looked into.

Issue #3:

Musab will take action regarding the requested.

#4 - 02/22/2021 01:33 PM - Mohannad Sabra

- Assignee changed from Musab Khuraisat to Sewar Tahat

Dear Sewar,

Kindly take action.

#5 - 02/23/2021 08:46 PM - Sewar Tahat

- Status changed from Open to Feedback

- Assignee changed from Sewar Tahat to Mohannad Sabra

Issue #1 : Business issue Mohannad ,plz advise  .

Issue #2 :From  custom workspace Not from my side
#6 - 04/01/2021 11:04 AM - Mohannad Sabra

- Status changed from Feedback to In Progress

- Assignee changed from Mohannad Sabra to Sewar Tahat

Dear Sewar,

as agreed in case #3 case scenario occur the system should select the decision tab by default , you can achieve that by code.

#7 - 04/05/2021 04:13 PM - Sewar Tahat

- Status changed from In Progress to Feedback

- Assignee changed from Sewar Tahat to Saja Nakhleh

Issue#1 I fixed it for all steps that enter Recommendations

#8 - 04/07/2021 02:49 PM - Saja Nakhleh

- File 6.GIF added

- File 83.GIF added

- Assignee changed from Saja Nakhleh to Sewar Tahat

Issue #1:

verified as invalid issue

Issue #2:

the issue is handeled in another report

Issue #3:

tested and verified. evidence 6.gif

New issue:

Issue #4:

the dates of تاريخ الصرف , تاريخ المهلة , تاريخ الموافقة should be validated as follow(as on the submission form):

تاريخ الموافقة يجب ان يسبق تاريخ الرف و تاريخ انتهاء المهلة

تاريخ الصرف يجب ان يسبق تاريخ المهلة

but in the current behavior, the dates are not validate any values. evidence 83.gif

#9 - 04/07/2021 06:32 PM - Sewar Tahat

- Assignee changed from Sewar Tahat to Saja Nakhleh

issue#4 (New issue): Fixed .

#10 - 04/12/2021 11:43 AM - Saja Nakhleh

- File 86.GIF added

- Assignee changed from Saja Nakhleh to Sewar Tahat
Issue #4:

tested and verified.

New issue, Issue #5:

enter any alphabatic characters in the (file number) field and observe the occurred NULL. evidence 86.gif

#11 - 04/12/2021 05:43 PM - Sewar Tahat

- Assignee changed from Sewar Tahat to Saja Nakhleh

Issue #5(New Issue): Fixed.

#12 - 04/14/2021 02:38 PM - Saja Nakhleh

- Status changed from Feedback to Closed

issue #5:

tested and verified.

Files

14.GIF 92.9 KB 12/09/2020 Saja Nakhleh

17.GIF 218 KB 12/14/2020 Saja Nakhleh

6.GIF 28.3 KB 04/07/2021 Saja Nakhleh

83.GIF 48.4 KB 04/07/2021 Saja Nakhleh

86.GIF 85.1 KB 04/12/2021 Saja Nakhleh
